<?php

namespace Litecms\Banner\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BannerTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Banner\Models\Banner $banner)
    {
        return [
            'id'                => $banner->getRouteKey(),
            'key'               => [
                'public'    => $banner->getPublicKey(),
                'route'     => $banner->getRouteKey(),
            ], 
            'images'            => $banner->images,
            'content'           => $banner->content,
            'status'            => $banner->status,
            'url'               => [
                'public'    => trans_url('banner/'.$banner->getPublicKey()),
                'user'      => guard_url('banner/banner/'.$banner->getRouteKey()),
            ], 
            'status'            => trans('app.'.$banner->status),
            'created_at'        => format_date($banner->created_at),
            'updated_at'        => format_date($banner->updated_at),
        ];
    }
}