<?php

namespace Litecms\Banner\Workflow;

use Litecms\Banner\Models\Banner;
use Litecms\Banner\Notifications\BannerWorkflow as BannerNotifyer;
use Notification;

class BannerNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Banner $banner
     *
     * @return void
     */
    public function complete(Banner $banner)
    {
        return Notification::send($banner->user, new BannerNotifyer($banner, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Banner $banner
     *
     * @return void
     */
    public function verify(Banner $banner)
    {
        return Notification::send($banner->user, new BannerNotifyer($banner, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Banner $banner
     *
     * @return void
     */
    public function approve(Banner $banner)
    {
        return Notification::send($banner->user, new BannerNotifyer($banner, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Banner $banner
     *
     * @return void
     */
    public function publish(Banner $banner)
    {
        return Notification::send($banner->user, new BannerNotifyer($banner, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Banner $banner
     *
     * @return void
     */
    public function archive(Banner $banner)
    {
        return Notification::send($banner->user, new BannerNotifyer($banner, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Banner $banner
     *
     * @return void
     */
    public function unpublish(Banner $banner)
    {
        return Notification::send($banner->user, new BannerNotifyer($banner, 'unpublish'));;

    }
}
